Page MenuHomePhabricator

Migrate from bower to npm and clean up folder hierarchy
Closed, ResolvedPublic8 Estimate Story Points

Description

We've been using bower for dependency management but it'/ showing signs of disrepair and we should switch back to npm like the rest of the js community. Facebook just announced Yarn, which looks like a good upgrade to npm, so that's worth a look too: https://code.facebook.com/posts/1840075619545360

Also: easy to do while we're at it, let's clean up the dashiki folder structure.

Details

Related Gerrit Patches:
analytics/dashiki : masterMigrate from bower to npm instead of yarn
analytics/dashiki : masterClean up folder hierarchy

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2016, 7:03 PM
Nuria added a subscriber: Nuria.Oct 13 2016, 4:40 PM

Dependencies need to exist on npm after the replacement is a drop in.

Remove references to bower.

Nuria set the point value for this task to 5.Oct 13 2016, 4:41 PM
Nuria edited projects, added Analytics-Kanban; removed Analytics.
Milimetric renamed this task from Migrate from bower to yarn or just npm to Migrate from bower to yarn and clean up folder hierarchy.Oct 19 2016, 6:53 PM
Milimetric triaged this task as Medium priority.
Milimetric moved this task from Next Up to In Progress on the Analytics-Kanban board.
Milimetric updated the task description. (Show Details)
Milimetric changed the point value for this task from 5 to 8.

Change 316834 had a related patch set uploaded (by Milimetric):
Clean up folder hierarchy

https://gerrit.wikimedia.org/r/316834

Change 316904 had a related patch set uploaded (by Milimetric):
[WIP] Migrate from bower to npm instead of yarn

https://gerrit.wikimedia.org/r/316904

Change 316834 merged by Milimetric:
Clean up folder hierarchy

https://gerrit.wikimedia.org/r/316834

Change 316904 merged by Milimetric:
Migrate from bower to npm instead of yarn

https://gerrit.wikimedia.org/r/316904

Nuria moved this task from In Code Review to Done on the Analytics-Kanban board.Nov 2 2016, 3:06 PM
Nuria added a comment.Nov 8 2016, 3:34 PM

@TheDJ : FYI that the code chnaged on this ticket is not related to mediawiki stack.

Nuria closed this task as Resolved.Nov 10 2016, 8:57 PM
Nuria renamed this task from Migrate from bower to yarn and clean up folder hierarchy to Migrate from bower to npm and clean up folder hierarchy.Jan 30 2017, 5:21 PM